(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L1, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L1, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L1, center, nohscroll, italic;
	fontset = section, "Times New Roman", 18, L1, nohscroll, bold, grayBox;
	fontset = subsection, "Times New Roman", 14, L1, nohscroll, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 12, L1, nohscroll, bold, whiteBox;
	fontset = text, "Arial", 12, L1, nohscroll;
	fontset = smalltext, "Times New Roman", 10, L1, nohscroll;
	fontset = input, "Courier New", 12, L1, nowordwrap, bold;
	fontset = output, "Courier New", 12, L-5, nowordwrap;
	fontset = message, "Courier New", 12, L1, nowordwrap;
	fontset = print, "Courier New", 12, L1, nowordwrap;
	fontset = info, "Courier New", 12, L1, nowordwrap;
	fontset = postscript, "Courier New", 12, L1, nowordwrap;
	fontset = name, "Times New Roman", 10, L1, nohscroll, italic;
	fontset = header, "Times New Roman", 12, L1, nohscroll;
	fontset = footer, "Times New Roman", 12, L1, center, nohscroll;
	fontset = help, "Times New Roman", 10, L1, nohscroll;
	fontset = clipboard, "Arial", 12, L1, nohscroll;
	fontset = completions, "Courier New", 12, L1, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L1, nohscroll;
	fontset = special2, "Arial", 12, L1, nohscroll;
	fontset = special3, "Arial", 12, L1, nohscroll;
	fontset = special4, "Arial", 12, L1, nohscroll;
	fontset = special5, "Arial", 12, L1, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nohscroll, cellOutline;
	fontset = leftfooter, "Arial", 12, L0, blackBox, cellOutline;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; Cclosed; nohscroll; center; ]
Introduction
:[font = subsubtitle; inactive; preserveAspect; endGroup; nohscroll; center; ]
Version 2.0
2/12/92
Originally "Tour Of Mathematica"
by Wolfram Research
Modified by John Schneider & John Weiss                                                        (Most modifications noted in "Changes" section)
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Introduction to the Introduction
:[font = text; inactive; preserveAspect; nohscroll; ]
     This NoteBook presents several different aspects of Mathematica.  It does not provide a detailed discussion of Mathematica, but it will give you some examples of the capabilities of Mathematica and expose you to the NoteBook structure.

     In some sections of this NoteBook it is assumed that you have executed the previous commands.  So, it is best to work through the commands in the sequence presented.

     Here are some points about scrolling and cell structure that you will need to know.
:[font = subsection; inactive; preserveAspect; nohscroll; ]
Scrolling
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Using the mouse, click the scroll buttons in the bottom left of the window.  Your view of this file will scroll in the direction indicated by the arrow on the scroll button you choose.  Holding the mouse button down makes the scrolling continue until you release the button.  Notice that this scrolling causes the scroll bar to move vertically up and down.  The mouse can be used to directly drag the scroll bar to any desired position.
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Cell Structure
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     NoteBooks are hierarchically structured in a manner similar to a table of contents in a book.  However, if one of the topics catches your eye, you do not thumb to the page corresponding to that topic;  rather, you double click on the cell grouping line that corresponds to that heading.  This will open the group and reveal individual cells that contain the text, formulae, and graphics associated with that heading.  A closed group of cells is indicated by a hook on the bottom of the cell grouping line.  An open grouping will not have a hook.  This section, "Cell Structure," is an open group of cells.  There is a cell containing the title and the cell containing this text.  The grouping line is on the far right, and it does not have a hook on the bottom.  To close a group, double-click on the grouping line to the right.  You should notice how the pointer changes shape when in position to click on the cell bracket.  To open a group, double-click again on the hooked line. (From now on, it is up to you to open the group in which you are interested.)
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Numerical Calculations
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can do arithmetic with Mathematica just as you would on a calculator.  You type the input 5 + 7, hit "Enter", and Mathematica prints the result 12.  Since 5 + 7 is already typed for you in the cell below, simply click anywhere in the cell below with the equation and then hit "Enter."  Note that you must hit the "Enter" key (the one on the numeric key pad) to perform the calculation  not the return key.  Alternatively, you can hold the shift key and hit the return key.
:[font = input; preserveAspect; nowordwrap; ]
5 + 7
:[font = text; inactive; preserveAspect; nohscroll; ]
     Unlike a calculator, however, Mathematica can give you exact results.  Here is the exact result for 3 to the power 100.  The ^ is Mathematica notation for raising to a power.
:[font = input; preserveAspect; nowordwrap; ]
3 ^ 100
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can use the Mathematica function N to get approximate numerical results.  The % stands for the last result.  The answer is given in scientific notation.
:[font = input; preserveAspect; nowordwrap; ]
N[%]
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can find numerical results to any degree of precision. This calculates the square root of 10 to 40 decimal places.  The text enclosed in the (* *) delimiters is ignored by Mathematica.
:[font = input; preserveAspect; nowordwrap; ]
N[ Sqrt[10], 40 (* Give answer to 40 decimal places *) ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     Mathematica can also handle complex numbers.  Here is (3 + i4)^10.  In Mathematica, "I" stands for the imaginary number square root of 1.
:[font = input; preserveAspect; nowordwrap; ]
(3 + 4 I) ^ 10
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica can evaluate all standard mathematical functions.  Here is the value of the Bessel function Jo(10.5).
:[font = input; preserveAspect; nowordwrap; ]
BesselJ[0, 10.5]
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can do numerical integrals.  Here is the numerical value of the integral of sin(sin(x)) from 0 to p.
:[font = input; preserveAspect; nowordwrap; ]
NIntegrate[ Sin[Sin[x]], {x, 0, Pi} ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica can do many kinds of exact computations with integers.  FactorInteger gives the factors of an integer.
:[font = input; preserveAspect; nowordwrap; ]
FactorInteger[ 20654065386 ]
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Note that all built-in Mathematica commands start with a capital letter.
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Delimiters
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Parentheses
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Parentheses are used for grouping.  Without parentheses, multiplication and division have a higher precedence than addition and subtraction.
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Square Brackets
:[font = text; inactive; preserveAspect; nohscroll; ]
     Square brackets are used for specifying arguments to functions.  For example, the following statement calculates the square root of the sine of p/2.
:[font = input; preserveAspect; nowordwrap; ]
Sqrt[ Sin[-Pi/2] ]
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Some functions take a fixed number of arguments while others can be called with zero or more arguments.
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Curly Braces
:[font = text; inactive; preserveAspect; nohscroll; ]
     Curly Braces are used for specifying lists, vectors, and matrices.  A list or vector is several expressions separated by commas and enclosed in curly braces.  The command shown below sets the variable "m" equal to a 3 by 3 matrix.
:[font = input; preserveAspect; nowordwrap; ]
m = {{1,2,3},{4,5,6},{7,8,9}}
:[font = text; inactive; preserveAspect; nohscroll; ]
     The function MatrixForm displays a matrix in a more conventional form.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
MatrixForm[m]
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Double Square Brackets
:[font = text; inactive; preserveAspect; nohscroll; ]
         Double square brackets are used for indexing, i.e., for referencing an object or set of objects in a list.  Suppose we have a vector "v" shown below.
:[font = input; preserveAspect; nowordwrap; ]
v = {b,c,d}
:[font = text; inactive; preserveAspect; nohscroll; ]
     The notation v[[i]] returns the ith element in the vector or list called "v".
:[font = input; preserveAspect; nowordwrap; ]
v[[2]]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Using the matrix "m", we can manipulate rows or elements. Recalling the assignment for "m" from the above section, we can add row 1 to row 2.
:[font = input; preserveAspect; nowordwrap; ]
m[[2]] = m[[1]] + m[[2]]
:[font = input; preserveAspect; endGroup; nowordwrap; ]
MatrixForm[m]
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Comments
:[font = text; inactive; preserveAspect; nohscroll; ]
     Text between (* and *) delimiters is not evaluated.  It is taken to be a comment. 
:[font = input; preserveAspect; endGroup; endGroup; nowordwrap; ]
Sqrt[6. (*This command evaluates the square root of 6.*)]
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
On-line Help
:[font = text; inactive; preserveAspect; nohscroll; ]
     Most names of objects in Mathematica are complete words.  Mathematica rarely uses abbreviations.  Abbreviations are only used where they are well known.  For example:
     Abs     absolute value of a number
     Cos	     cosine
     D         derivative
      
     The ? operator can be used to obtain online help.  The symbol * used with the ? operator acts as a wild card character, i.e., it can match any alphanumeric character or sequence of characters.  If more than one command matches the request, Mathematica lists the names of all the commands. 

     Given ?Plot* as input, Mathematica lists the commands that begin with the word Plot. 
:[font = input; preserveAspect; nowordwrap; ]
?Plot*
:[font = text; inactive; preserveAspect; nohscroll; ]
     If only one command matches the request, Mathematica will print the usage statement associated with the command.  The usage statement typically consists of a template showing how to use the command and a brief description.  Here is the information for Plot.
:[font = input; preserveAspect; nowordwrap; ]
?Plot
:[font = text; inactive; preserveAspect; nohscroll; ]
     The usage statement tells us that this command plots a function over a specified domain.  For example, evaluate the command below. 
:[font = input; preserveAspect; nowordwrap; ]
Plot[ Exp[-x], {x,-1,5} ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Use ?? to obtain more information.  (This often provides more detail than you need.)
:[font = input; preserveAspect; endGroup; nowordwrap; ]
??Plot
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Editing
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Revising Text
:[font = text; inactive; preserveAspect; nohscroll; ]
     To change a single character or word, position the vertical I-beam pointer to the right of the item to be deleted, click the mouse once, and press the backspace key to remove the text.  To insert text, just begin typing.  For larger text revisions as well as entire cells, it is more efficient to use the Undo, Cut, Copy, and Paste keys.  These are described below.
:[font = subsubsection; inactive; preserveAspect; startGroup; nohscroll; ]
Undo
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Undo reverses your most recent typing or any editing action that used the Cut, Copy, or Paste keys.  It can be activated by simultaneously pressing the Command and Undo keys.
:[font = subsubsection; inactive; preserveAspect; startGroup; nohscroll; ]
Cut
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Cut deletes selected text, graphics, or cells from your NoteBook and transfers them to the Pasteboard (special allocated memory).  To cut selected material from a Notebook and place it in the Pasteboard:

     1.  Select the material to be cut.  To select an entire cell, click its bracket.  To
           select text inside a cell, drag over the desired text with the mouse.
     2.  Press Command and the Cut keys simultaneously. 
:[font = subsubsection; inactive; preserveAspect; startGroup; nohscroll; ]
Copy
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     Copy also moves selected text into the Pasteboard but, unlike the Cut command, it does not remove the selected text.
:[font = subsubsection; inactive; preserveAspect; startGroup; nohscroll; ]
Paste
:[font = text; inactive; preserveAspect; endGroup; endGroup; nohscroll; ]
     This command inserts a copy of the Pasteboard contents at the current insertion point (chosen with the mouse).
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Creating New Cells
:[font = text; inactive; preserveAspect; endGroup; endGroup; nohscroll; ]
      You can create a new cell by placing the cell insertion point at the bottom or top edge of the existing cell and typing.  The mouse pointer will change to a horizontal I-beam when the mouse is properly positioned.
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Graphics
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is a plot of the function sin(x3), with x ranging from 2 to 2.
:[font = input; preserveAspect; nowordwrap; ]
Plot[ Sin[x^3], {x, -2, 2} ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica chooses appropriate scales for plots, even when there are singularities.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Plot[ 1 / Sin[x], {x, 0, 10} ]
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Three-Dimensional Plots
:[font = text; inactive; preserveAspect; nohscroll; ]
     This makes a contour plot of the function sin(x) sin(3y).
:[font = input; preserveAspect; nowordwrap; ]
ContourPlot[ Sin[x] Sin[3y], {x, -2, 2}, {y, -2, 2} ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     Mathematica can also make three-dimensional pictures.
:[font = input; preserveAspect; nowordwrap; ]
Plot3D[ Sin[x] Sin[3y], {x, -2, 2}, {y, -2, 2} ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     This displays the surface as seen from a different view point.
:[font = input; preserveAspect; nowordwrap; ]
Show[ %, ViewPoint -> {1, 0, 1} ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     Here is the original picture, with a finer grid of sample points, and with shading determined by simulated illumination.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Plot3D[ Sin[x] Sin[3y], {x, -2, 2}, {y, -2, 2},
        PlotPoints -> 30, Lighting -> True ]
:[font = input; inactive; nowordwrap; ]

Ho cancellato le animazioni, per evitare ulteriori errori 
(8.12.98)

:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Making Definitions
:[font = text; inactive; preserveAspect; nohscroll; ]
     This defines a value for the variable "v".
:[font = input; preserveAspect; nowordwrap; ]
v = 1 + x
:[font = text; inactive; preserveAspect; nohscroll; ]
     Now the value you have defined for "v" is used whenever v appears.
:[font = input; preserveAspect; nowordwrap; ]
5 + 2 v + 3 v^2
:[font = text; inactive; preserveAspect; nohscroll; ]
     Expand[expr] expands out products and positive powers in expr.
:[font = input; preserveAspect; nowordwrap; ]
Expand[%]
:[font = text; inactive; preserveAspect; nohscroll; ]
     This defines a function "f".  The definition can be thought of as a rule for transforming expressions of the form f[anything].
:[font = input; preserveAspect; nowordwrap; ]
f[x_] := x^2
:[font = text; inactive; preserveAspect; nohscroll; ]
     The occurrences of "f" in an expression like this are transformed according to the rules you have given.
:[font = input; preserveAspect; nowordwrap; ]
f[3] + f[a+b]
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can define functions of multiple variables.  This defines the function "f1", which depends on two variables.
:[font = input; preserveAspect; nowordwrap; ]
f1[x_,y_] := 2 x^2 + x y + Sqrt[y]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica will evaluate as much of the expression as possible.  Unknowns are left as unknowns.  Here are two examples.
:[font = input; preserveAspect; nowordwrap; ]
f1[a,4]
:[font = input; preserveAspect; nowordwrap; ]
f1[3,4]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is the recursive rule for the factorial function.
:[font = input; preserveAspect; nowordwrap; ]
fac[n_] := n fac[n-1]
:[font = text; inactive; preserveAspect; nohscroll; ]
     This gives a rule for the end condition of the factorial function.
:[font = input; preserveAspect; nowordwrap; ]
fac[1] = 1
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     Here are the two rules you have defined for fac.
:[font = input; preserveAspect; nowordwrap; ]
?fac
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica can now apply these rules to find values for factorials.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
fac[20]
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Algebraic Formulae
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica can work not only with numbers, but also with algebraic formulae.  Here is the formula (x + y)2 + 9 (2+x)(x+y).
:[font = input; preserveAspect; nowordwrap; ]
(x + y)^2 + 9 (2 + x) (x + y)
:[font = text; inactive; preserveAspect; nohscroll; ]
     This does the algebra to expand products and powers.
:[font = input; preserveAspect; nowordwrap; ]
Expand[ % ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is the third power of the expression.
:[font = input; preserveAspect; nowordwrap; ]
% ^ 3
:[font = text; inactive; preserveAspect; nohscroll; ]
     Expanding this gives a somewhat more complicated result.
:[font = input; preserveAspect; nowordwrap; ]
Expand[ % ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Factoring the previous expression puts it in a much simpler form.
:[font = input; preserveAspect; nowordwrap; ]
Factor[ % ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     Mathematica can do many kinds of algebraic computations.  This gives an exact formula for the integral of x/(1-x^3) dx.
:[font = input; preserveAspect; nowordwrap; ]
Integrate[ x / (1 - x^3), x ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can also find approximate formulae.  This computes the power series expansion of ex sin(x) about the point x = 0 up to order x^6.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Series[ Exp[-x] Sin[2x], {x, 0, 6} ]
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Lists
:[font = text; inactive; preserveAspect; nohscroll; ]
     This makes a list of the first twenty factorials.
:[font = input; preserveAspect; nowordwrap; ]
Table[ n!, {n, 1, 20} ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     This takes the logarithm of each entry in the list, and evaluates the result numerically. Functions like Log have the property of being ``listable'', so that they apply separately to each element in a list.
:[font = input; preserveAspect; nowordwrap; ]
N[ Log[ % ] ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is a plot of the entries in the list. 
:[font = input; preserveAspect; nowordwrap; ]
ListPlot[ % ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica uses lists to represent vectors.  Here is the dot product of two three-dimensional vectors.
:[font = input; preserveAspect; nowordwrap; ]
{x, y, z} . {a, b, c}
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can also do purely symbolic operations with lists.  Permutations gives all possible permutations of a list, i.e. all possible orderings of the elements in a list.
:[font = input; preserveAspect; nowordwrap; ]
Permutations[{a, b, c}]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Flatten ``un-nests'' lists.
:[font = input; preserveAspect; nowordwrap; ]
Flatten[%]
:[font = text; inactive; preserveAspect; nohscroll; ]
     The list given as the permutations of {a,b,c} is actually a list of lists.  In this sense, the list is two dimensional.  Let us use the Permutations command again a set a variable equal to the output.  The list "list1" is essentially a matrix, as you will see in the next section.
:[font = input; preserveAspect; nowordwrap; ]
list1 = Permutations[{a, b, c}]
:[font = text; inactive; preserveAspect; nohscroll; ]
     The number of elements in each dimension of "list1" can be determined with the Dimensions command.  One of the dimensions of "list1" has 6 elements, and the second dimension has 3.
:[font = input; preserveAspect; nowordwrap; ]
Dimensions[list1]
:[font = text; inactive; preserveAspect; nohscroll; ]
     As noted in the Delimiters section, element locations within a list are specified with double brackets.  To get the second element of "list1," we write:
:[font = input; preserveAspect; nowordwrap; ]
list1[[2]]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Notice that the second element is itself a list  one with three element.  To obtain the second element from this "sub-list," we can add another subscript. 
:[font = input; preserveAspect; endGroup; nowordwrap; ]
list1[[2,2]]
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Matrices
:[font = text; inactive; preserveAspect; nohscroll; ]
     This generates a matrix whose (i , j)th element is 1/(i+j+1).  Mathematica represents the matrix as a list of lists.
:[font = input; preserveAspect; nowordwrap; ]
m = Table[ 1 / (i + j + 1), {i, 3}, {j, 3} ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     The matrix can be displayed in matrix form rather than list form.
:[font = input; preserveAspect; nowordwrap; ]
MatrixForm[ m ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is the inverse of the matrix.
:[font = input; preserveAspect; nowordwrap; ]
Inverse[ m ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Multiplying the inverse by the original matrix gives an identity matrix.
:[font = input; preserveAspect; nowordwrap; ]
% . m
:[font = text; inactive; preserveAspect; nohscroll; ]
     This gives a new matrix, with a modified diagonal.
:[font = input; preserveAspect; nowordwrap; ]
m - x IdentityMatrix[3]
:[font = text; inactive; preserveAspect; nohscroll; ]
     The determinant of the new matrix gives the characteristic polynomial for the original matrix.
:[font = input; preserveAspect; nowordwrap; ]
Det[ % ]
:[font = text; inactive; pageBreak; preserveAspect; nohscroll; ]
     This finds (numerically) the roots of the characteristic polynomial using the Solve function.  These roots correspond to the eigenvalues of  "m".
:[font = input; preserveAspect; nowordwrap; ]
N[ Solve[ % == 0, x ] ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Using the function Eigenvalues, you can find the numerical eigenvalues of "m" directly.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
Eigenvalues[ N[ m ] ]
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Procedural Programming
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is a simple Mathematica program that generates and expands products.  
:[font = input; preserveAspect; nowordwrap; ]
exprod[n_] := 
        Expand[ Product[ x + i, {i, 1, n} ] ]
:[font = text; inactive; preserveAspect; nohscroll; ]
     The result of this function (or program) is the expansion of (x+1)(x+2)(x+3)...(x+n), where n is specified by you, the user.  The following statement runs the program with n=4.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
exprod[4] 
:[font = section; inactive; pageBreak; preserveAspect; startGroup; Cclosed; nohscroll; ]
Defining Mathematical Relations
:[font = text; inactive; preserveAspect; nohscroll; ]
     Here is an example of mathematical programming in Mathematica.   This definition gives the mathematical rule log(x y) = log(x) + log(y).
:[font = input; preserveAspect; nowordwrap; ]
log[x_ y_] := log[x] + log[y]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Mathematica uses your definition to expand out this logarithm.
:[font = input; preserveAspect; nowordwrap; ]
log[a b c^2 d]
:[font = text; inactive; preserveAspect; nohscroll; ]
     You can add the rule log(xn) = n log(x).
:[font = input; preserveAspect; nowordwrap; ]
log[x_ ^ n_] := n log[x]
:[font = text; inactive; preserveAspect; nohscroll; ]
     Now logarithms of powers are also expanded out.
:[font = input; preserveAspect; nowordwrap; ]
log[a b c^2 d]
:[font = text; inactive; preserveAspect; nohscroll; ]
     This shows all the definitions you have given for log.
:[font = input; preserveAspect; endGroup; nowordwrap; ]
?log
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Changes
:[font = text; inactive; preserveAspect; nohscroll; ]
     This NoteBook was originally entitled "TourOfMathematica.ma" and was provided with the Mathematica distribution.  The modifications made are listed below.  This should not be of interest to the general reader.
:[font = text; inactive; preserveAspect; nohscroll; ]
     Changes on 2/12/92: reformated the notebook to agree with 2.0 formattting; changes "pi" in the text to p; indicated exponentiation with superscripts rather than "^".
:[font = text; inactive; preserveAspect; nohscroll; ]
     The font sizes were changed to agree with the default font sizes used in NeXT release 1.0 of Mathematica.  All the results were deleted so that the user must initiate the calculation.  All variables were enclosed in quotes in the text.
:[font = text; inactive; preserveAspect; nohscroll; ]
     The original introductory paragraph was deleted and the "Introduction to the Introduction" section was added.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Numerical Calculations" section:  Added statement about enter key.  Changed Rieman Zeta function to square root.  Added statement about Mathmatica commands starting with capital letters.  Added statement about comment delimiters.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Cell Structure," "On Line Help," "Delimiters," and "Editing" sections were added.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Graphics" section:  The ?Function construct was further explained.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Three-Dimensional Graphics" section:  Deleted sentence about postscript output.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Animations" section was added.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Algebraic Formulae" section:  Deleted sentence about time to perform calculation.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Solving Equations" section was deleted.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Lists" section:  Statements about Fit function were deleted.  Statements about retrieving an element from a list were added.  Sentence about the ListPlot being nearly linear was deleted.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Matrices" section:  Statements about the symbolic determination of the eigenvalues were deleted.  Statements added to demonstrate MatrixForm.  The phrase "leading diagonal" was changed to just "diagonal."
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Procedural Programming in Mathematica" section:  Continued fraction example was deleted.  Some explanatory text was added.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Defining Mathematical Relations in Mathematica" section:  Typos were corrected (super- and sub-scripts were not properly rendered).  Statements about Laplace transform package were deleted.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Interfacing with Mathematica" section:  TeXForm statements were deleted.  OpenRead and ReadList statements were deleted.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Making Definitions in Mathematica" section:  Statements about defining w[2] were deleted.  Statements added about multi-variable functions.  Section was moved to follow "Three-Dimensional Plots."
:[font = text; inactive; preserveAspect; nohscroll; ]
     "More Graphics" section was deleted.
:[font = text; inactive; preserveAspect; nohscroll; ]
     "Mathematica Front Ends" section was deleted.
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
     "Notebooks" section was deleted.
^*)